org.eclipse.aether.spi.connector.layout

## Interface RepositoryLayout

-     public interface RepositoryLayout

  The layout for a remote repository whose artifacts/metadata can be addressed via URIs. Implementations must be stateless.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RepositoryLayout.Checksum` A descriptor for a checksum file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RepositoryLayout.Checksum>` | `getChecksums(Artifact artifact, boolean upload, URI location)` Gets the checksums files that a remote repository keeps to help detect data corruption during transfers of the specified artifact.
    `List<RepositoryLayout.Checksum>` | `getChecksums(Metadata metadata, boolean upload, URI location)` Gets the checksums files that a remote repository keeps to help detect data corruption during transfers of the specified metadata.
    `URI` | `getLocation(Artifact artifact, boolean upload)` Gets the location within a remote repository where the specified artifact resides.
    `URI` | `getLocation(Metadata metadata, boolean upload)` Gets the location within a remote repository where the specified metadata resides.

- - ### Method Detail

    - #### getLocation

          URI getLocation(Artifact artifact,
                        boolean upload)

      Gets the location within a remote repository where the specified artifact resides. The URI is relative to the root directory of the repository.
      Parameters:
        `artifact` - The artifact to get the URI for, must not be `null`.
        `upload` - `false` if the artifact is being downloaded, `true` if the artifact is being uploaded.
      Returns:
        The relative URI to the artifact, never `null`.

    - #### getLocation

          URI getLocation(Metadata metadata,
                        boolean upload)

      Gets the location within a remote repository where the specified metadata resides. The URI is relative to the root directory of the repository.
      Parameters:
        `metadata` - The metadata to get the URI for, must not be `null`.
        `upload` - `false` if the metadata is being downloaded, `true` if the metadata is being uploaded.
      Returns:
        The relative URI to the metadata, never `null`.

    - #### getChecksums

          List<RepositoryLayout.Checksum> getChecksums(Artifact artifact,
                                                     boolean upload,
                                                     URI location)

      Gets the checksums files that a remote repository keeps to help detect data corruption during transfers of the specified artifact.
      Parameters:
        `artifact` - The artifact to get the checksum files for, must not be `null`.
        `upload` - `false` if the checksums are being downloaded/verified, `true` if the checksums are being uploaded/created.
        `location` - The relative URI to the artifact within the repository as previously obtained from `getLocation(Artifact, boolean)`, must not be `null`.
      Returns:
        The checksum files for the given artifact, possibly empty but never `null`.

    - #### getChecksums

          List<RepositoryLayout.Checksum> getChecksums(Metadata metadata,
                                                     boolean upload,
                                                     URI location)

      Gets the checksums files that a remote repository keeps to help detect data corruption during transfers of the specified metadata.
      Parameters:
        `metadata` - The metadata to get the checksum files for, must not be `null`.
        `upload` - `false` if the checksums are being downloaded/verified, `true` if the checksums are being uploaded/created.
        `location` - The relative URI to the metadata within the repository as previously obtained from `getLocation(Metadata, boolean)`, must not be `null`.
      Returns:
        The checksum files for the given metadata, possibly empty but never `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.